<template>

    <div class="document-viewer">

    </div>
</template>

<script setup>
import { ref, onMounted } from 'vue';
import { previewFile } from "./filePreview";

const props = defineProps({
    fileUrl:{
        type: String,
        required: true
    }
});
console.log("打印一下路径：", props.fileUrl);

onMounted(() => {
    console.log(props.fileUrl);
    previewFile('/api/files/' + props.fileUrl,"pdf", document.querySelector(".document-viewer"));
});
</script>
<style scoped>
.document-viewer {
    width: 100%;
    height: 100%;
}
</style>